> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Extraction Schemas

> List extraction schemas for the team.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/extraction_schemas
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/extraction_schemas:
    get:
      tags:
        - extraction_schemas
      summary: List Extraction Schemas
      description: List extraction schemas for the team.
      operationId: list_extraction_schemas_api_v1_extraction_schemas_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionSchemaListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExtractionSchemaListResponse:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ExtractionSchemaResponse'
          type: array
          title: Schemas
        total:
          type: integer
          title: Total
      type: object
      required:
        - schemas
        - total
      title: ExtractionSchemaListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExtractionSchemaResponse:
      properties:
        id:
          type: integer
          title: Id
        schema_id:
          type: string
          title: Schema Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        schema_json:
          additionalProperties: true
          type: object
          title: Schema Json
        version:
          type: integer
          title: Version
        version_history:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Version History
        archived:
          type: boolean
          title: Archived
        created:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created
        updated:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated
      type: object
      required:
        - id
        - schema_id
        - name
        - description
        - schema_json
        - version
        - archived
        - created
        - updated
      title: ExtractionSchemaResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````